﻿
using System;
namespace HeuristicLab.DataPreprocessing {
  public interface IPreprocessingDataStatisticInfo {

    int GetColumnCount();
    int GetRowCount();
    int GetNumericColumnCount();
    int GetNominalColumnCount();
    int GetMissingValueCount();
    int GetMissingValueCount(int columnIndex);
    T GetMin<T>(int columnIndex) where T : IComparable<T>;
    T GetMax<T>(int columnIndex) where T : IComparable<T>;
    double GetMedian(int columnIndex);
    double GetAverage(int columnIndex);
    T GetMostCommonValue<T>(int columnIndex);
    double GetStandardDeviation(int columnIndex);
    int GetDifferentValueCount<T>(int columnIndex);
  }
}
